Left pixel of launcher is not clickable on session start

Bug #758026 reported by Michael Terry
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Low
Jason Smith
unity (Ubuntu)
Fix Released
Low
Jason Smith
Natty
Fix Released
Undecided
Unassigned

Bug Description

Test Case:

1) Install unity 3.8.14 and restart session
2) Left pixel of unity should be clickable on first run

Binary package hint: unity

On session start the left most pixel of the screen does not receive clicks, so if you hover over the launcher(with the cursor attached to the left edge of the screen) there is no effect to clicks on the launcher, the problem goes away after first "hide" of the launcher.

Original report:
With latest updates of unity, now the left-most pixel of the launcher is not clickable. If I move my mouse a bit to the right, it works.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.6-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1366x768
 edid-base64: AP///////wAwZAMJAQEBASMTAQOAHRF4CoWVmVdPjyYhUFQAAAABAQEBAQEBAQEBAQEBAQEBux1W6lAAGTAjcFoAJ6YQAAAYAAAADwAC0ALQAAUBBUzUAg4AAAAA/gBUTURJU1BMQVkKICAgAAAA/gBMVDEzM0VFMDkxMDAKALI=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Mon Apr 11 16:14:05 2011
DistUpgraded: Log time: 2010-08-25 06:21:49.797653
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 virtualbox-ose, 4.0.4, 2.6.38-8-generic, x86_64: installed
 virtualbox-ose, 4.0.4, 2.6.38-7-generic, x86_64: installed
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
   Subsystem: CLEVO/KAPOK Computer Device [1558:3100]
MachineType: System76, Inc. Lemur UltraThin
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_GB.utf8
 LC_MESSAGES=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=625ed789-1cb3-4081-9c7e-f812810b5126 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.42-generic 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Renderer: Unknown
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2010-09-28 (195 days ago)
dmi.bios.date: 08/17/2010
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000
dmi.board.asset.tag: Tag 12345
dmi.board.name: Lemur UltraThin
dmi.board.vendor: System76, Inc.
dmi.board.version: lemu2
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: System76, Inc.
dmi.chassis.version: lemu2
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd08/17/2010:svnSystem76,Inc.:pnLemurUltraThin:pvrlemu2:rvnSystem76,Inc.:rnLemurUltraThin:rvrlemu2:cvnSystem76,Inc.:ct10:cvrlemu2:
dmi.product.name: Lemur UltraThin
dmi.product.version: lemu2
dmi.sys.vendor: System76, Inc.
version.compiz: compiz 1:0.9.4+bzr20110411-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu12
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu1
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Related branches

Revision history for this message
Michael Terry (mterry) wrote :
Revision history for this message
Alex Launi (alexlauni) wrote :

hm this is working normally for me. can you xwininfo the left most pixel, and possibly the launcher to make sure it's actually there?

Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: New → Incomplete
Revision history for this message
Didier Roche (didrocks) wrote :

Same here, working as well.

Revision history for this message
Bilal Akhtar (bilalakhtar) wrote :

Hi Michael,

By 'left most pixel' do you mean the left edge of screen when launcher isn't hidden? That's bug #757650 .

Revision history for this message
Omer Akram (om26er) wrote :

I can confirm this issue on my nvidia system but not on the netbook.

Changed in unity:
status: Incomplete → Confirmed
Changed in unity (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Michael Terry (mterry) wrote :

Here's the xwininfo for the very left edge of the screen. I realized I should be more explicit about my setup: I have the "Never hide" option selected for the launcher. So the launcher is always on the screen. And when I hover over the left edge of the screen tooltips don't appear and clicks don't work. From this xwininfo, it seems it's actually the left *two* pixels that don't work.

Revision history for this message
Michael Terry (mterry) wrote :

And here's an xwininfo for the launcher.

Revision history for this message
Michael Terry (mterry) wrote :

And this machine is Intel integrated, not NVidia like Omer's.

Revision history for this message
Omer Akram (om26er) wrote :

Just to add to this bug. I can reproduce this bug on every login, the problem does not happen after the first auto-hide, so on a session start please try to reproduce this bug.

Changed in unity (Ubuntu):
importance: Undecided → Medium
Omer Akram (om26er)
summary: - Left pixel of launcher is not clickable
+ Left pixel of launcher is not clickable on session start
description: updated
Changed in unity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Revision history for this message
Didier Roche (didrocks) wrote :

can be related to bug #768076

Changed in unity:
milestone: none → 3.8.12
Didier Roche (didrocks)
Changed in unity:
importance: Undecided → Medium
assignee: nobody → Didier Roche (didrocks)
milestone: 3.8.12 → 3.8.14
importance: Medium → Low
Changed in unity (Ubuntu):
importance: Medium → Low
Revision history for this message
Didier Roche (didrocks) wrote :

if I xprop on it, it seems to be the compiz "edge" detection eating mouse click:

_NET_WM_ALLOWED_ACTIONS(ATOM) = _NET_WM_ACTION_ABOVE, _NET_WM_ACTION_BELOW
XdndAware(ATOM) = ARC

My feeling is that the launcher is stack below this x window at startup. Then, when we show it again, it's restacked above.
I think Jason or Sam will have more input than I on it.

Changed in unity:
assignee: Didier Roche (didrocks) → Jason Smith (jassmith)
Changed in unity (Ubuntu):
assignee: Didier Roche (didrocks) → Jason Smith (jassmith)
Jason Smith (jassmith)
Changed in unity:
status: Confirmed → Fix Committed
Revision history for this message
Jason Smith (jassmith) wrote :

Test Case:

1) restart computer
2) left pixel of unity should be clickable on first run

description: updated
Didier Roche (didrocks)
Changed in unity:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1

---------------
unity (3.8.14-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Accepted unity into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in unity (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Revision history for this message
GianZap (gianzap) wrote :

Hello, the bug seems to be still there in 3.8.14 in Natty. As in the bug description, the lefmost pixel of the launcher is not clickable until the launcher is hidden at least once. Here is the output of xprop:

$ unity --version
unity 3.8.14
$ xprop
_NET_WM_ALLOWED_ACTIONS(ATOM) = _NET_WM_ACTION_ABOVE, _NET_WM_ACTION_BELOW
XdndAware(ATOM) = ARC

("unity --restart" is sufficient to reproduce the bug. It is not necessary to logout/restart the computer)

Revision history for this message
Omer Akram (om26er) wrote :

I had this bug 100% reproduce able but with the proposed version of Unity I cannot reproduce this bug.

Martin Pitt (pitti)
tags: added: verification-done
removed: verification-needed
Revision history for this message
GianZap (gianzap) wrote :

The fact that I was still able to reproduce the bug was due to me having also enabled the Bottom-Left screen corner to reveal the launcher (which makes it easier to target the trash), instead of just the left screen edge. Whether this should be considered a valid case or not, I am not sure.

Revision history for this message
Omer Akram (om26er) wrote : Re: [Bug 758026] Re: Left pixel of launcher is not clickable on session start
Download full text (4.8 KiB)

GianZap, thats not the default option so I suggest you to report a new
bug report for the issue that you are facing.

On Tue, Jun 7, 2011 at 6:56 PM, GianZap <email address hidden> wrote:
> The fact that I was still able to reproduce the bug was due to me having
> also enabled the Bottom-Left screen corner to reveal the launcher (which
> makes it easier to target the trash), instead of just the left screen
> edge. Whether this should be considered a valid case or not, I am not
> sure.
>
> --
> You received this bug notification because you are subscribed to unity.
> https://bugs.launchpad.net/bugs/758026
>
> Title:
>  Left pixel of launcher is not clickable on session start
>
> Status in Unity:
>  Fix Released
> Status in “unity” package in Ubuntu:
>  Fix Released
> Status in “unity” source package in Natty:
>  Fix Committed
>
> Bug description:
>  Test Case:
>
>  1) Install unity 3.8.14 and restart session
>  2) Left pixel of unity should be clickable on first run
>
>  Binary package hint: unity
>
>  On session start the left most pixel of the screen does not receive
>  clicks, so if you hover over the launcher(with the cursor attached to
>  the left edge of the screen) there is no effect to clicks on the
>  launcher, the problem goes away after first "hide" of the launcher.
>
>  Original report:
>  With latest updates of unity, now the left-most pixel of the launcher is not clickable.  If I move my mouse a bit to the right, it works.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: unity 3.8.6-0ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic x86_64
>  Architecture: amd64
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
>  CompositorRunning: compiz
>  DRM.card0.DP.1:
>   status: disconnected
>   enabled: disabled
>   dpms: Off
>   modes:
>   edid-base64:
>  DRM.card0.HDMI.A.1:
>   status: disconnected
>   enabled: disabled
>   dpms: Off
>   modes:
>   edid-base64:
>  DRM.card0.LVDS.1:
>   status: connected
>   enabled: enabled
>   dpms: On
>   modes: 1366x768
>   edid-base64: AP///////wAwZAMJAQEBASMTAQOAHRF4CoWVmVdPjyYhUFQAAAABAQEBAQEBAQEBAQEBAQEBux1W6lAAGTAjcFoAJ6YQAAAYAAAADwAC0ALQAAUBBUzUAg4AAAAA/gBUTURJU1BMQVkKICAgAAAA/gBMVDEzM0VFMDkxMDAKALI=
>  DRM.card0.VGA.1:
>   status: disconnected
>   enabled: disabled
>   dpms: Off
>   modes:
>   edid-base64:
>  Date: Mon Apr 11 16:14:05 2011
>  DistUpgraded: Log time: 2010-08-25 06:21:49.797653
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  DkmsStatus:
>   virtualbox-ose, 4.0.4, 2.6.38-8-generic, x86_64: installed
>   virtualbox-ose, 4.0.4, 2.6.38-7-generic, x86_64: installed
>  GraphicsCard:
>   Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
>     Subsystem: CLEVO/KAPOK Computer Device [1558:3100]
>  MachineType: System76, Inc. Lemur UltraThin
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_GB.utf8
>   LC_MESSAGES=en_US.UTF-8
>   SH...

Read more...

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1~natty1

---------------
unity (3.8.14-0ubuntu1~natty1) natty-proposed; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers